#ifndef RULE_H
# define RULE_H

typedef struct {
	char	*name;	/* rule name */
	int	single;	/* single target rule ? */
	char	*src;	
	char	*target;	
	char	*cmd;	
} rule_t;

# define	MAXRULES	99

extern	int	readrulefile (FILE *fp);
extern	int	putrule (const char *name, int single, const char *rule);
extern	rule_t	*getrule (const char *name, int singletarget);
extern	int     printrules (FILE *fp);

#endif
